Рекомендация Debian по безопасности

DSA-3963-1 mercurial -- обновление безопасности

Дата сообщения:
04.09.2017
Затронутые пакеты:
mercurial
Уязвим:
Да
Ссылки на базы данных по безопасности:
В системе отслеживания ошибок Debian: Ошибка 861243, Ошибка 871709, Ошибка 871710.
В каталоге Mitre CVE: CVE-2017-9462, CVE-2017-1000115, CVE-2017-1000116.
Более подробная информация:

В Mercurial, распределённой системе управления версиями, было обнаружено несколько проблем.

  • CVE-2017-9462 (исправлено только в stretch)

    Джонатан Клаудиус из Mozilla обнаружил, что репозитории, обслуживаемые через stdio, могут предоставлять авторизованным пользователям доступ к отладчику Python.

  • CVE-2017-1000115

    Аудит символьных ссылок в Mercurial оказался неполным, символьные ссылки могут использоваться для записи файлов за пределами репозитория.

  • CVE-2017-1000116

    Йорн Штивайц обнаружил, что Mercurial неправильно обрабатывает специально сформированные URL вида ssh://. Это позволяет злоумышленнику запускать произвольные команды командной оболочки.

В предыдущем стабильном выпуске (jessie) эти проблемы были исправлены в версии 3.1.2-2+deb8u4.

В стабильном выпуске (stretch) эти проблемы были исправлены в версии 4.0-1+deb9u1.

Рекомендуется обновить пакеты mercurial.